org.apache.geode.cache.query

## Class MultiIndexCreationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.geode.cache.query.MultiIndexCreationException

- All Implemented Interfaces:
    java.io.Serializable

      public class MultiIndexCreationException
      extends java.lang.Exception

  Consists a map of index names and Exceptions thrown during index creation using `QueryService.createDefinedIndexes()`. An `Index` could throw one of the following exceptions:
  - `IndexNameConflictException`
  - `IndexExistsException`
  - `IndexInvalidException`
  - `UnsupportedOperationException`
  Since:
    GemFire 8.1
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiIndexCreationException(java.util.HashMap<java.lang.String,java.lang.Exception> exceptionMap)` Creates an `MultiIndexCreationException`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.lang.Exception>` | `getExceptionsMap()` Returns a map of index names and Exceptions
    `java.util.Set<java.lang.String>` | `getFailedIndexNames()` Returns a set of names for the indexes that failed to create
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiIndexCreationException

          public MultiIndexCreationException(java.util.HashMap<java.lang.String,java.lang.Exception> exceptionMap)

      Creates an `MultiIndexCreationException`

  - ### Method Detail

    - #### getExceptionsMap

          public java.util.Map<java.lang.String,java.lang.Exception> getExceptionsMap()

      Returns a map of index names and Exceptions
      Returns:
        a map of index names and Exceptions

    - #### getFailedIndexNames

          public java.util.Set<java.lang.String> getFailedIndexNames()

      Returns a set of names for the indexes that failed to create
      Returns:
        set of failed index names

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Throwable`